#!/bin/bash

echo "Compiling..."
nasm -f elf32 kernel.asm -o kasm.o
if [ ! $? = 0 ]
then
	exit 1
fi

gcc -m32 -c kernel.c -o kc.o
if [ ! $? = 0 ]
then
	exit 1
fi

ld -m elf_i386 -T linker.ld -o kernel kasm.o kc.o
if [ ! $? = 0 ]
then
	exit 1
fi

echo "Compiled done..."
exit 0